diff --git a/doc/src/sgml/cube.sgml b/doc/src/sgml/cube.sgml
index adf8dbaa91..52506fc822 100644
--- a/doc/src/sgml/cube.sgml
+++ b/doc/src/sgml/cube.sgml
@@ -537,7 +537,7 @@ SELECT c FROM test ORDER BY c ~&gt; 3 DESC LIMIT 5;
   <title>Defaults</title>
 
   <para>
-   I believe this union:
+   This union:
   </para>
 <programlisting>
 select cube_union('(0,5,2),(2,3,1)', '0');
@@ -548,7 +548,7 @@ cube_union
 </programlisting>
 
    <para>
-    does not contradict common sense, neither does the intersection
+    does not contradict common sense, neither does the intersection:
    </para>
 
 <programlisting>
@@ -560,8 +560,8 @@ cube_inter
 </programlisting>
 
    <para>
-    In all binary operations on differently-dimensioned cubes, I assume the
-    lower-dimensional one to be a Cartesian projection, i. e., having zeroes
+    In all binary operations on differently-dimensioned cubes,
+    the lower-dimensional one is assumed to be a Cartesian projection, i. e., having zeroes
     in place of coordinates omitted in the string representation. The above
     examples are equivalent to:
    </para>
diff --git a/doc/src/sgml/nls.sgml b/doc/src/sgml/nls.sgml
index 5a4387a03f..827e867c67 100644
--- a/doc/src/sgml/nls.sgml
+++ b/doc/src/sgml/nls.sgml
@@ -205,13 +205,16 @@ make update-po
    <para>
     The PO files can be edited with a regular text editor. There are also
     several specialized editors for PO files which can help the process with
-    translation specific features.  The
-    translator should only change the area between the quotes after
-    the msgstr directive, add comments, and alter the fuzzy flag.
-    There is (unsurprisingly) a PO mode for Emacs, which I find quite
+    translation specific features.
+    There is (unsurprisingly) a PO mode for Emacs, which can be quite
     useful.
    </para>
 
+   <para>
+    The translator should only change the area between the quotes after
+    the msgstr directive, add comments, and alter the fuzzy flag.
+   </para>
+
    <para>
     The PO files need not be completely filled in.  The software will
     automatically fall back to the original string if no translation
diff --git a/doc/src/sgml/pgcrypto.sgml b/doc/src/sgml/pgcrypto.sgml
index 43fb8dbe66..5316472b96 100644
--- a/doc/src/sgml/pgcrypto.sgml
+++ b/doc/src/sgml/pgcrypto.sgml
@@ -415,8 +415,8 @@ gen_salt(type text [, iter_count integer ]) returns text
     <listitem>
      <para>
       <literal>crypt-bf</literal> numbers are taken using a simple program that
-      loops over 1000 8-character passwords.  That way I can show the speed
-      with different numbers of iterations.  For reference: <literal>john
+      loops over 1000 8-character passwords.  That way the speed
+      with different numbers of iterations can be shown.  For reference: <literal>john
       -test</literal> shows 13506 loops/sec for <literal>crypt-bf/5</literal>.
       (The very small
       difference in results is in accordance with the fact that the
